Unsuspend a user
curl --request POST \
--url https://{domain}/api/application/users/{user}/unsuspend \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/users/{user}/unsuspend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/users/{user}/unsuspend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/users/{user}/unsuspend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/users/{user}/unsuspend"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{domain}/api/application/users/{user}/unsuspend")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/users/{user}/unsuspend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 192,
"name": "Jane A. Cooper",
"email": "jane.cooper@example.com",
"role": "user",
"avatar": "/assets/default-avatar.png",
"banner": null,
"footer_message": "Thanks, Jane",
"contact_info": {
"phone": "+1 555 0100",
"company": "Cooper Hosting LLC",
"country": "US"
},
"balance": 25,
"loyalty_points": 0,
"customer_pin": null,
"subscribed_to_emails": false,
"email_verified_at": "2026-11-16T14:33:49.000000Z",
"phone_verified_at": null,
"two_factor_enabled": false,
"linked_accounts": {
"discord": null,
"google": null,
"github": null
},
"suspension": {
"is_suspended": false,
"reason": null,
"suspended_at": null,
"expires_at": null
},
"billing": {
"stripe_customer_id": null,
"payment_method_type": null,
"payment_method_last_four": null,
"payment_method_notes": null
},
"ip": "203.0.113.24",
"created_at": "2026-11-16T14:33:49.000000Z",
"updated_at": "2026-11-16T14:33:49.000000Z",
"counts": []
},
"message": "User unsuspended.",
"meta": {
"request_id": "832734d7-ba61-41da-9f32-7846011c17dc"
}
}User actions
Unsuspend a user
Lifts an account suspension.
Permission: users.suspend
POST
/
users
/
{user}
/
unsuspend
Unsuspend a user
curl --request POST \
--url https://{domain}/api/application/users/{user}/unsuspend \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/users/{user}/unsuspend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/users/{user}/unsuspend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/users/{user}/unsuspend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/users/{user}/unsuspend"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{domain}/api/application/users/{user}/unsuspend")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/users/{user}/unsuspend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 192,
"name": "Jane A. Cooper",
"email": "jane.cooper@example.com",
"role": "user",
"avatar": "/assets/default-avatar.png",
"banner": null,
"footer_message": "Thanks, Jane",
"contact_info": {
"phone": "+1 555 0100",
"company": "Cooper Hosting LLC",
"country": "US"
},
"balance": 25,
"loyalty_points": 0,
"customer_pin": null,
"subscribed_to_emails": false,
"email_verified_at": "2026-11-16T14:33:49.000000Z",
"phone_verified_at": null,
"two_factor_enabled": false,
"linked_accounts": {
"discord": null,
"google": null,
"github": null
},
"suspension": {
"is_suspended": false,
"reason": null,
"suspended_at": null,
"expires_at": null
},
"billing": {
"stripe_customer_id": null,
"payment_method_type": null,
"payment_method_last_four": null,
"payment_method_notes": null
},
"ip": "203.0.113.24",
"created_at": "2026-11-16T14:33:49.000000Z",
"updated_at": "2026-11-16T14:33:49.000000Z",
"counts": []
},
"message": "User unsuspended.",
"meta": {
"request_id": "832734d7-ba61-41da-9f32-7846011c17dc"
}
}Authorizations
Was this page helpful?

